-- Copyright 2011 Jo-Philipp Wich <jow@openwrt.org>
-- Licensed to the public under the Apache License 2.0.

local fs = require "nixio.fs"

local m, s, o

m = Map("its_bridge",
	translate("ITS Bridge Configuration"),
	translate("To explain ITS Bridge confiuration."))
m.pageaction = true
--m:chain("luci")

s = m:section(TypedSection, "its", translate("ITS Configuration"))
s.addremove = false
s.anonymous = true

o=s:option(Value, "nic", 
    translate("ITS network interface"))

o=s:option(Value, "mac",
    translate("ITS device MAC address"),translate("MAC address of connected ITS device"))
o.rmempty  = true

s = m:section(TypedSection, "udp", translate("UDP Configuration"))
s.addremove = false
s.anonymous = true

o=s:option(Value, "nic",
	translate("UDP Interface"), translate("UDP interface (optional)"))
o.optional = true

o=s:option(Value, "send",
	translate("Destnation Address"), translate("IP address or multicast group to send ITS packets"))
o.datatype = "ipaddr"

o=s:option(Value, "port",
	translate("Destnation Port"), translate("Port to send ITS packets"))
o.placeholder = 5000
o.datatype    = "port"

o=s:option(DynamicList, "recv",
	translate("Remote Addresses"), translate("IP addresses or multicast groups to recive ITS packets"))
o.addremove = true

--m.submit = translate("Apply")

return m
